#include <time.h>
#include "deftype.h"

void change_date2(time_t tm,unchar dt[7])
/* 指定timeからの日付を年月日に直す */
{
char *d,*dtt;
	/*           1         2      */
	/* 01234567890123456789012345 */
	/* Mon Feb 14 14:35:00 1994\\ */
	/*                         n0 */
	d=ctime(&tm);
	dtt=dt;
	*dtt++=d[22];		/* 年 */
	*dtt++=d[23];
	{ int i;
	i=month_asc(&d[4]);	/* 月文字列->数字 */
	*dtt++='0'+(i>=10);	/* 月 */
	*dtt++='0'+(i%10);
	}
	*dtt++=d[8];		/* 日 */
	*dtt++=d[9];
	*dtt++=0;		/* EOS */
}

#if 0
main(int argc,unchar *argv[])
{
time_t GetFileTime();
time_t ft;
unchar dt[7];
	ft=GetFileTime(argv[0]);
	change_date2(ft,dt);
	printf("%s\n",dt);
}
#endif
